Subject: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Gregory Heytings <[email-masked]>
Date: Wed, 28 Dec 2022 15:19:21 +0000

>> That is, the :weight 'semi-light attribute is not obeyed?  I observe 
>> the same behavior with Emacs 26-27-28, so at least it's not a 
>> regression.
>
> It's not there if I use :family, though.
>

Indeed, that's because the :family attribute is evaluated first, and the 
:font attribute isn't.

>
> So if from now on we recommend people use :font where they might have 
> used :family in the past, this might be perceived as a regression.
>

That's what I would recommend, indeed, but I'm not the one who decides. 
The regression would be fixed by adding :font to the attributes that are 
evaluated before all others.